%define name spec-helper
%define version 0.29.5
%define release %mkrel 2

Name:       %{name}
Version:    %{version}
Release:    %{release}
Summary:    Tools to ease the creation of rpm packages
License:    GPL
Group:      Development/Other
URL:        http://svn.mandriva.com/svn/soft/rpm/spec-helper
Source:     %{name}-%{version}.tar.bz2
Requires:   python-base
Requires:   findutils
Requires:   gettext
BuildArch:  noarch
BuildRoot: %{_tmppath}/%{name}-%{version}

%description
Tools to ease the creation of rpm packages for the Mandriva Linux distribution.
Compress man pages using bzip2, strip executables, convert links...

%prep
%setup -q

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} bindir=%{_bindir} rpmmacrosdir=%_sys_macros_dir 

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS README NEWS
%{_bindir}/macroszification
%{_datadir}/spec-helper
%_sys_macros_dir/%{name}.macros


%changelog
* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.29.5-2mdv2009.1
+ Revision: 351506
- rebuild

* Tue Aug 26 2008 Pixel <pixel@mandriva.com> 0.29.5-1mdv2009.0
+ Revision: 276209
- 0.29.5: fix regression related to DONT_STRIP when not exported

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.29.4-2mdv2009.0
+ Revision: 265741
- rebuild early 2009.0 package (before pixel changes)

* Fri May 16 2008 Pixel <pixel@mandriva.com> 0.29.4-1mdv2009.0
+ Revision: 208146
- 0.29.4:
- strip_and_check_elf_files: skip check on /usr/lib/debug (#40847)

* Wed May 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.29.3-1mdv2009.0
+ Revision: 207063
- new version (fix regression from previous release)

* Wed May 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.29.2-1mdv2009.0
+ Revision: 207058
- new version (fix build hanging with special files)

* Thu May 08 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.29.1-1mdv2009.0
+ Revision: 204625
- new version (fix #40464)

* Wed May 07 2008 Pixel <pixel@mandriva.com> 0.29-1mdv2009.0
+ Revision: 202853
- 0.29: replace strip_files with strip_and_check_elf_files which checks for
  overlinking (cf http://wiki.mandriva.com/en/Overlinking) and "missing linking"
  (need checking if there are too many false positives)

* Sun Feb 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.28.1-1mdv2008.1
+ Revision: 164801
- new version

* Tue Jan 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.28.0-1mdv2008.1
+ Revision: 160030
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.27.2-1mdv2008.0
+ Revision: 81970
- new version

* Tue Sep 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.27.1-1mdv2008.0
+ Revision: 79619
- new version

* Sat Jul 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.27-1mdv2008.0
+ Revision: 51914
- 0.27: use lzma compression

* Sat Jun 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.26.1-1mdv2008.0
+ Revision: 45945
- new version

* Sun Jun 24 2007 Anssi Hannula <anssi@mandriva.org> 0.26-1mdv2008.0
+ Revision: 43761
- new version
  o do not corrupt files that have CR+LF as EOL

* Fri Jun 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.25-1mdv2008.0
+ Revision: 40094
- new version (fix #22066 and #22982)


* Wed Aug 09 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/09/06 16:42:48 (54891)
- rebuild

* Wed Aug 09 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/09/06 16:42:09 (54890)
Import spec-helper

* Sat Jul 01 2006 Olivier Thauvin <nanardon@mandriva.org> 0.24-1mdv2007.0
- 0.24
- Replace relative_me_babe by relink_symlinks, by Guillaume Rousse (bug #22983)

* Wed May 24 2006 Olivier Thauvin <nanardon@mandriva.org> 0.23-1mdk
- add missing call in macro file (spturtle)

* Mon May 22 2006 Olivier Thauvin <nanardon@mandriva.org> 0.22-1mdk
- fix gprintify path

* Sat May 20 2006 Olivier Thauvin <nanardon@mandriva.org> 0.21-1mdk
- fix typo in macros

* Sat May 20 2006 Olivier Thauvin <nanardon@mandriva.org> 0.20-1mdk
- cleanup
- split scripts, provide macros to disable it one by one
- rpm 4.4 integration using macrofile

* Thu May 18 2006 Olivier Thauvin <nanardon@mandriva.org> 0.12-2mdk
- remove 'mdk' words

* Thu May 18 2006 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.12-1mdk
- 0.12 (fix #21079)

* Fri Jan 07 2005 Frederic Lepied <flepied@mandrakesoft.com> 0.11-1mdk
- Fix translation of Internet menu entry
- handle file names starting with -

* Tue Aug 10 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.10.2-1mdk
- Fix translation of menu entries
- Other cleanups and speedups (tvignaud

* Fri Feb 06 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.10.1-1mdk
- use " around the section name in spec-helper

* Tue Jan 27 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.10-1mdk
- translate menus

* Thu Oct 09 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.2-3mdk
- also nuke /lib64/security/ paths

* Thu Oct 09 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.9.2-2mdk
- remove /lib/security from pam config files

